#
# spec file for package rocksndiamonds (Version 2.0.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         rocksndiamonds
Copyright:    GPL
Group:        X11/Games
Provides:     rockdiam
Obsoletes:    rockdiam
Autoreqprov:  on
Version:      2.0.0
Release:      120
Summary:      Arcade style game for color X11 with stereo sounds
Url:          http://www.artsoft.org/rocksndiamonds/
Source:       rocksndiamonds-%{version}.tar.bz2
Patch:        rocksndiamonds-%{version}.dif
BuildRoot:    /var/tmp/%{name}-build

%description
A game like "Boulderdash" (C=64) or "Emerald Mine" (AMIGA).
Sound server takes advantage of some features of VoxWare(tm),
but works on plain /dev/audio, too.
Comes with full source code.

Authors:
--------
    Holger Schemel <aeglos@valinor.owl.de>

SuSE series: fun

%prep
%setup
%patch

%build
make

%install
rm -rf $RPM_BUILD_ROOT
LIBDIR=$RPM_BUILD_ROOT/usr/share/games/rocksndiamonds
SCOREDIR=$RPM_BUILD_ROOT/var/games/rocksndiamonds
install -m 755 -d $LIBDIR/graphics
install -m 755 -d $LIBDIR/sounds
install -m 755 -d $LIBDIR/music
install -m 755 -d $SCOREDIR
install -m 755 -d $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 755 -d $RPM_BUILD_ROOT%{_mandir}/man6
install -m 644 graphics/* $LIBDIR/graphics
install -m 644 sounds/* $LIBDIR/sounds
install -m 644 music/* $LIBDIR/music
cp -a levels $LIBDIR
chmod -R go-w $LIBDIR/levels
install rocksndiamonds $RPM_BUILD_ROOT/usr/X11R6/bin
install rocksndiamonds.1 $RPM_BUILD_ROOT%{_mandir}/man6

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES COPYING CREDITS HARDWARE INSTALL README TODO rocksndiamonds-*.lsm 
%doc %{_mandir}/man6/*
%attr(2755,games,game) /usr/X11R6/bin/rocksndiamonds
/usr/share/games/rocksndiamonds
%attr(775,games,game) /var/games/rocksndiamonds

%changelog -n rocksndiamonds
* Wed Sep 19 2001 - ro@suse.de
- unified changelog
* Mon Mar 12 2001 - cihlar@suse.cz
- fixed to compile on axp
* Thu Mar 08 2001 - cihlar@suse.cz
- update to version 2.0.0
* Thu Feb 08 2001 - cihlar@suse.cz
- fixed to compile
* Fri Dec 08 2000 - cihlar@suse.cz
- added missing levels
* Fri Dec 01 2000 - cihlar@suse.cz
- again fixed file permissions
* Wed Nov 15 2000 - cihlar@suse.cz
- renamed rockdiam -> rocksndiamonds
- clean up spec file
- fixed file permissions
* Tue Apr 18 2000 - cihlar@suse.cz
- upgrade to version 1.4.0
- added BuildRoot
* Sun Mar 05 2000 - olh@suse.de
- move manpages
* Mon Jan 31 2000 - uli@suse.de
- fixed misuse of va_arg macro
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Mar 12 1999 - uli@suse.de
- update 0.9b -> 1.3.0
- eliminated Makefile.Linux
* Mon Oct 20 1997 - hf@suse.de
- ready for autobuild
* Mon Jun 09 1997 - hf@suse.de
- Changing the permissions for the highscorefiles.
* Fri Jun 06 1997 - hf@suse.de
- Changing the permissions for the highscoredirectory.
* Mon May 05 1997 - hf@suse.de
- The binary rocksndiamonds has the sgid game
  for edit the highscore and name files.
* Thu Mar 06 1997 - hf@suse.de
- Version 0.9
  Anpassungen im Makefile, zustzliche defines angelegt
